Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized' #3

Closed
sagarkt opened this issue Aug 9, 2018 · 10 comments
Labels

Comments

@sagarkt
Copy link

@sagarkt sagarkt commented Aug 9, 2018

Just purchased the pro version and tried to start by following these steps. But encountered below error.

Nothing did anything extra. I just followed the steps.

`Failed to compile.

./node_modules/@material-ui/core/ButtonBase/TouchRipple.js
Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized' in '/Users/sagarkamble/hobby_projects/rento/material-kit-pro-react-v1.0.0/node_modules/@material-ui/core/ButtonBase'`

Version: material-kit-pro-react - 1.0.0

@sagarkt sagarkt closed this Aug 9, 2018
@sagarkt sagarkt reopened this Aug 9, 2018
@EINazare
Copy link
Collaborator

@EINazare EINazare commented Aug 13, 2018

Hello @sagarkt ,

Thank you for your interest in using our products and sorry for this late response.
A quick fix for this is to run npm install --save-exact @babel/runtime@7.0.0-beta.55 and it will work.
We are going to fix this in our next update (which i believe it will be done this week).

Best,
Manu

@EINazare EINazare added the bug label Aug 13, 2018
@EINazare EINazare changed the title Module not found - Material Pro Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized' Aug 13, 2018
@EINazare EINazare closed this Aug 14, 2018
@ryuujo
Copy link

@ryuujo ryuujo commented Jan 29, 2019

I have the same problem with this and already try with your fix, but it still not working

@EINazare
Copy link
Collaborator

@EINazare EINazare commented Jan 29, 2019

Hello there @irobertjr ,

Download again the product.
In one of our updates we've solved this issue.

Best,
Manu

@MelMacaluso
Copy link

@MelMacaluso MelMacaluso commented Mar 31, 2019

From another topic, this fixed it:

npm add @babel/runtime

@UnnitMetaliya
Copy link

@UnnitMetaliya UnnitMetaliya commented May 23, 2019

From another topic, this fixed it:

npm add @babel/runtime

Thank you very much. I did not have the issue OP posted. I had helper/slicedToArray issue. Google brought me here and your comment solved it. Thanks @MelMacaluso 👍

@jaegz
Copy link

@jaegz jaegz commented Aug 20, 2019

I too ran into the slicedToArray issue. Deleting node_modules, yarn.lock, package-lock.json and running npm install fixed it for me.

@amaanrajput940
Copy link

@amaanrajput940 amaanrajput940 commented Aug 31, 2019

From another topic, this fixed it:

npm add @babel/runtime

Still is not working while I am using this version "@babel/runtime": "^7.5.5",
I'm getting this error
./node_modules/react-popper/lib/cjs/Popper.js
Module not found: Can't resolve '@babel/runtime/helpers/objectWithoutPropertiesLoose' in 'E:\reactjs\deveans-react-version\node_modules\react-popper\lib\cjs'

@hanzlahabib
Copy link

@hanzlahabib hanzlahabib commented Oct 7, 2019

i am still facing this issue in latest version of babel/runtime

./node_modules/@material-ui/core/ButtonBase/ButtonBase.js Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized' in 'F:\Projects\nuton-admin\node_modules@material-ui\core\ButtonBase'

@EINazare
Copy link
Collaborator

@EINazare EINazare commented Oct 8, 2019

Hello there, @hanzlahabib ,

Have you made changes to our package.json?
If I run a clean install everything works fine.

Best,
Manu

@hanzlahabib
Copy link

@hanzlahabib hanzlahabib commented Oct 9, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
8 participants